require "rails_helper"

RSpec.describe CommissionersController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/commissioners").to route_to("commissioners#index")
    end

    it "routes to #new" do
      expect(:get => "/commissioners/new").to route_to("commissioners#new")
    end

    it "routes to #show" do
      expect(:get => "/commissioners/1").to route_to("commissioners#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/commissioners/1/edit").to route_to("commissioners#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/commissioners").to route_to("commissioners#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/commissioners/1").to route_to("commissioners#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/commissioners/1").to route_to("commissioners#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/commissioners/1").to route_to("commissioners#destroy", :id => "1")
    end

  end
end
